import {ScoreConfig,NumScoreDisplay,FreeScoreDisplay,isScoreComputable,fixupScore,normScale,coef,truncateMin,truncateMax,roundStep,makeScoresSet,sumScores,setCompletion} from "./lib-md/scores.js";
export const scoreTypes = {Instr:false, Self:false, Scorm:false, Comput:false};
const S = new Map();
const C = [];
const scormMap = new Map();
export function getScoreDef(id) {
return S.get(id);
}
export function getScoresForScorm() {
return scormMap;
}
C[0] = new ScoreConfig().addDisplay(new NumScoreDisplay());
function add(s) {
scoreTypes[s.type] = true;
S.set(s.id, s);
}
